
From: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>

This patch fixes confliction types for pcibios_align_resource.

  CC      arch/mips/pci/pci.o
arch/mips/pci/pci.c:55: error: conflicting types for 'pcibios_align_resource'
include/linux/pci.h:729: error: previous declaration of 'pcibios_align_resource' was here
make[1]: *** [arch/mips/pci/pci.o] Error 1
make: *** [arch/mips/pci] Error 2

Signed-off-by: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/mips/pci/pci.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/mips/pci/pci.c~mips-fixed-confliction-types-for arch/mips/pci/pci.c
--- 25/arch/mips/pci/pci.c~mips-fixed-confliction-types-for	Thu Feb 24 17:00:39 2005
+++ 25-akpm/arch/mips/pci/pci.c	Thu Feb 24 17:00:39 2005
@@ -50,8 +50,7 @@ unsigned long PCIBIOS_MIN_MEM	= 0;
  * which might have be mirrored at 0x0100-0x03ff..
  */
 void
-pcibios_align_resource(void *data, struct resource *res,
-		       unsigned long size, unsigned long align)
+pcibios_align_resource(void *data, struct resource *res, u64 size, u64 align)
 {
 	struct pci_dev *dev = data;
 	struct pci_controller *hose = dev->sysdata;
_
